'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _Lightbox = require('./Components/Lightbox.vue');

var _Lightbox2 = _interopRequireDefault(_Lightbox);

var _helpers = require('./helpers.js');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Lightbox = {
    install: function install(Vue) {
        var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

        Vue.mixin({
            computed: {
                lightboxConfig: function lightboxConfig() {
                    return (0, _helpers.object_merge)({
                        leftArrowIcon: require('./Icons/left-arrow.svg'),
                        rightArrowIcon: require('./Icons/right-arrow.svg')
                    }, options);
                }
            },
            components: {
                lightbox: _Lightbox2.default
            }
        });
    }
};

window.Lightbox = Lightbox;

exports.default = Lightbox;